net.minecraftforge.event.world

## Class ChunkDataEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.world.WorldEvent
    - - net.minecraftforge.event.world.ChunkEvent
      - - net.minecraftforge.event.world.ChunkDataEvent

- Direct Known Subclasses:
    ChunkDataEvent.Load, ChunkDataEvent.Save

      public class ChunkDataEvent
      extends ChunkEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChunkDataEvent.Load`
    `static class` | `ChunkDataEvent.Save`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.ChunkEvent

      `ChunkEvent.Unload`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.WorldEvent

      `WorldEvent.PotentialSpawns`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class net.minecraftforge.event.world.WorldEvent

      `world`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkDataEvent(Chunk chunk, NBTTagCompound data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTTagCompound` | `getData()`

    - ### Methods inherited from class net.minecraftforge.event.world.ChunkEvent

      `getChunk`

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkDataEvent

          public ChunkDataEvent(Chunk chunk,
                        NBTTagCompound data)

  - ### Method Detail

    - #### getData

          public NBTTagCompound getData()